Issue #11 resolved

add pyyaml dependency

lu_zero
created an issue

Currently from scratch install from pip install pymodels fails due the missing dep of yaml, I experienced that using a clean virtualenv with python 2.6

Comments (2)

  1. Andy Mikhailenko repo owner

    Thanks, this is really a bug. However, I'm not sure if the whole package should depend on pyyaml because YAML is only used by one of the two serialized properties (another one requires a JSON library). I think I better move them to a submodule so the user will have to import them separately and get sensible error messages if some dependencies are not satisfied.

  2. Log in to comment